GNU logs - #24523, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#24523: Base64 images makes Emacs slow
Resent-From: Andreas Nilsson <an@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 24 Sep 2016 05:38:01 +0000
Resent-Message-ID: <handler.24523.B.147469547429329 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 24523
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 24523 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.147469547429329
          (code B ref -1); Sat, 24 Sep 2016 05:38:01 +0000
Received: (at submit) by debbugs.gnu.org; 24 Sep 2016 05:37:54 +0000
Received: from localhost ([127.0.0.1]:33814 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bnfes-0007cz-8u
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 01:37:54 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59907)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <an@HIDDEN>) id 1bnfeq-0007cm-Jb
 for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 01:37:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <an@HIDDEN>) id 1bnfek-0002Vt-Eh
 for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 01:37:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39227)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <an@HIDDEN>) id 1bnfek-0002Vp-Bf
 for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 01:37:46 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:50875)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <an@HIDDEN>) id 1bnfei-0006ew-EG
 for bug-gnu-emacs@HIDDEN; Sat, 24 Sep 2016 01:37:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <an@HIDDEN>) id 1bnfee-0002Tx-DH
 for bug-gnu-emacs@HIDDEN; Sat, 24 Sep 2016 01:37:44 -0400
Received: from ste-pvt-msa1.bahnhof.se ([213.80.101.70]:30289)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <an@HIDDEN>) id 1bnfee-0002Qw-6e
 for bug-gnu-emacs@HIDDEN; Sat, 24 Sep 2016 01:37:40 -0400
Received: from localhost (localhost [127.0.0.1])
 by ste-pvt-msa1.bahnhof.se (Postfix) with ESMTP id CE8223F72F
 for <bug-gnu-emacs@HIDDEN>; Sat, 24 Sep 2016 07:37:28 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at bahnhof.se
Received: from ste-pvt-msa1.bahnhof.se ([127.0.0.1])
 by localhost (ste-pvt-msa1.bahnhof.se [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id Zh0PM1LddLBH for <bug-gnu-emacs@HIDDEN>;
 Sat, 24 Sep 2016 07:37:28 +0200 (CEST)
Received: from localhost.localdomain (h-94-103.a230.priv.bahnhof.se
 [94.254.94.103]) (Authenticated sender: mb693743)
 by ste-pvt-msa1.bahnhof.se (Postfix) with ESMTPA id 860773F72E
 for <bug-gnu-emacs@HIDDEN>; Sat, 24 Sep 2016 07:37:28 +0200 (CEST)
Date: Sat, 24 Sep 2016 07:37:39 +0200
From: Andreas Nilsson <an@HIDDEN>
Message-ID: <20160924073739.59fca4e0@HIDDEN>
X-Mailer: Claws Mail 3.14.0 (GTK+ 2.24.31; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hi.

When developing Javascript with base64 images in the code Emacs becomes
slow and laggy, it takes several seconds for a character to input in
the buffer with such an image string in it.

I have tried emacs -Q with no mode loaded and the lag is still there,
what should I do?

Thanks.

Andreas.




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Andreas Nilsson <an@HIDDEN>
Subject: bug#24523: Acknowledgement (Base64 images makes Emacs slow)
Message-ID: <handler.24523.B.147469547429329.ack <at> debbugs.gnu.org>
References: <20160924073739.59fca4e0@HIDDEN>
X-Gnu-PR-Message: ack 24523
X-Gnu-PR-Package: emacs
Reply-To: 24523 <at> debbugs.gnu.org
Date: Sat, 24 Sep 2016 05:38:01 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 24523 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
24523: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D24523
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#24523: Base64 images makes Emacs slow
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 24 Sep 2016 06:54:01 +0000
Resent-Message-ID: <handler.24523.B24523.14747000183922 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 24523
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Andreas Nilsson <an@HIDDEN>
Cc: 24523 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 24523-submit <at> debbugs.gnu.org id=B24523.14747000183922
          (code B ref 24523); Sat, 24 Sep 2016 06:54:01 +0000
Received: (at 24523) by debbugs.gnu.org; 24 Sep 2016 06:53:38 +0000
Received: from localhost ([127.0.0.1]:33830 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bngqA-00011B-FB
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 02:53:38 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44209)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bngq8-000110-Uz
 for 24523 <at> debbugs.gnu.org; Sat, 24 Sep 2016 02:53:37 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bngq0-0003RX-Nk
 for 24523 <at> debbugs.gnu.org; Sat, 24 Sep 2016 02:53:31 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:33441)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bngq0-0003RQ-Kp; Sat, 24 Sep 2016 02:53:28 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4642
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bngpz-0004VF-RV; Sat, 24 Sep 2016 02:53:28 -0400
Date: Sat, 24 Sep 2016 09:53:57 +0300
Message-Id: <83h995dbzu.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <20160924073739.59fca4e0@HIDDEN> (message from Andreas
 Nilsson on Sat, 24 Sep 2016 07:37:39 +0200)
References: <20160924073739.59fca4e0@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

> Date: Sat, 24 Sep 2016 07:37:39 +0200
> From: Andreas Nilsson <an@HIDDEN>
> 
> When developing Javascript with base64 images in the code Emacs becomes
> slow and laggy, it takes several seconds for a character to input in
> the buffer with such an image string in it.
> 
> I have tried emacs -Q with no mode loaded and the lag is still there,
> what should I do?

Report the details, please.  Ideally, post a recipe, starting with
"emacs -Q" and loading the necessary support libraries, then include
whatever commands are needed to demonstrate the slowness.  Attach
image files needed to reproduce the problem.  Also, include the
details of your platform (if you use report-emacs-bug, it will do that
for you).

Thanks.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#24523: Base64 images makes Emacs slow
Resent-From: Andreas Nilsson <an@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 24 Sep 2016 09:09:01 +0000
Resent-Message-ID: <handler.24523.B24523.147470813823072 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 24523
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 24523 <at> debbugs.gnu.org
Received: via spool by 24523-submit <at> debbugs.gnu.org id=B24523.147470813823072
          (code B ref 24523); Sat, 24 Sep 2016 09:09:01 +0000
Received: (at 24523) by debbugs.gnu.org; 24 Sep 2016 09:08:58 +0000
Received: from localhost ([127.0.0.1]:33861 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bnix7-000604-QY
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 05:08:57 -0400
Received: from ste-pvt-msa1.bahnhof.se ([213.80.101.70]:61377)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <an@HIDDEN>) id 1bnix5-0005zv-UK
 for 24523 <at> debbugs.gnu.org; Sat, 24 Sep 2016 05:08:56 -0400
Received: from localhost (localhost [127.0.0.1])
 by ste-pvt-msa1.bahnhof.se (Postfix) with ESMTP id A4E813F51B;
 Sat, 24 Sep 2016 11:08:54 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at bahnhof.se
Received: from ste-pvt-msa1.bahnhof.se ([127.0.0.1])
 by localhost (ste-pvt-msa1.bahnhof.se [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id XsKxbU-ci5-W; Sat, 24 Sep 2016 11:08:50 +0200 (CEST)
Received: from localhost.localdomain (h-94-103.a230.priv.bahnhof.se
 [94.254.94.103]) (Authenticated sender: mb693743)
 by ste-pvt-msa1.bahnhof.se (Postfix) with ESMTPA id 6A0EB3F4FF;
 Sat, 24 Sep 2016 11:08:50 +0200 (CEST)
Date: Sat, 24 Sep 2016 11:09:01 +0200
From: Andreas Nilsson <an@HIDDEN>
Message-ID: <20160924110901.5482c558@HIDDEN>
In-Reply-To: <83h995dbzu.fsf@HIDDEN>
References: <20160924073739.59fca4e0@HIDDEN>
	<83h995dbzu.fsf@HIDDEN>
X-Mailer: Claws Mail 3.14.0 (GTK+ 2.24.31; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Spam-Score: -3.8 (---)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)

Den Sat, 24 Sep 2016 09:53:57 +0300
skrev Re: bug#24523: Base64 images makes Emacs slow:

> > Date: Sat, 24 Sep 2016 07:37:39 +0200
> > From: Andreas Nilsson <an@HIDDEN>
> > 
> > When developing Javascript with base64 images in the code Emacs
> > becomes slow and laggy, it takes several seconds for a character to
> > input in the buffer with such an image string in it.
> > 
> > I have tried emacs -Q with no mode loaded and the lag is still
> > there, what should I do?  
> 
> Report the details, please.  Ideally, post a recipe, starting with
> "emacs -Q" and loading the necessary support libraries, then include
> whatever commands are needed to demonstrate the slowness.  Attach
> image files needed to reproduce the problem.  Also, include the
> details of your platform (if you use report-emacs-bug, it will do that
> for you).
> 
> Thanks.

1. emacs -Q
2. Visit https://www.base64-image.de/ and "click here" select an image
(I selected a ~200kB one)
3. Click "show code" and copy paste the string you get into *scratch*.
4. Now try C-v and M-v as well as type some characters, this is the
point where it lags.

My platforms are Windows 10 and Arch Linux, happens on both. Latest
stable Emacs 25.1.1. Specifically on Arch I use x86_64 with GTK+
3.20.9, if that is of interest.

Thanks.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#24523: Base64 images makes Emacs slow
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 24 Sep 2016 11:33:01 +0000
Resent-Message-ID: <handler.24523.B24523.147471677910854 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 24523
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Andreas Nilsson <an@HIDDEN>
Cc: 24523 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 24523-submit <at> debbugs.gnu.org id=B24523.147471677910854
          (code B ref 24523); Sat, 24 Sep 2016 11:33:01 +0000
Received: (at 24523) by debbugs.gnu.org; 24 Sep 2016 11:32:59 +0000
Received: from localhost ([127.0.0.1]:33937 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bnlCU-0002p0-O0
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 07:32:58 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44636)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bnlCT-0002om-JY
 for 24523 <at> debbugs.gnu.org; Sat, 24 Sep 2016 07:32:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bnlCL-0002o8-FC
 for 24523 <at> debbugs.gnu.org; Sat, 24 Sep 2016 07:32:52 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:36912)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bnlCC-0002kW-LB; Sat, 24 Sep 2016 07:32:40 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1102
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bnlC9-0000i1-Ol; Sat, 24 Sep 2016 07:32:40 -0400
Date: Sat, 24 Sep 2016 14:32:44 +0300
Message-Id: <838tuhcz37.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <20160924110901.5482c558@HIDDEN> (message from Andreas
 Nilsson on Sat, 24 Sep 2016 11:09:01 +0200)
References: <20160924073739.59fca4e0@HIDDEN>
 <83h995dbzu.fsf@HIDDEN> <20160924110901.5482c558@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

merge 24523 13675
thanks

> Date: Sat, 24 Sep 2016 11:09:01 +0200
> From: Andreas Nilsson <an@HIDDEN>
> Cc: 24523 <at> debbugs.gnu.org
> 
> 1. emacs -Q
> 2. Visit https://www.base64-image.de/ and "click here" select an image
> (I selected a ~200kB one)
> 3. Click "show code" and copy paste the string you get into *scratch*.
> 4. Now try C-v and M-v as well as type some characters, this is the
> point where it lags.

This creates a single physical line whose length is 280K characters.
It is a known limitation of the Emacs display engine that it's very
slow with such long lines.  See bug #13675.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 24 Sep 2016 11:32:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 07:32:51 2016
Received: from localhost ([127.0.0.1]:33934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bnlCN-0002oe-G1
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 07:32:51 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44615)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bnlCL-0002oR-1R
 for control <at> debbugs.gnu.org; Sat, 24 Sep 2016 07:32:49 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bnlCC-0002kj-Nr
 for control <at> debbugs.gnu.org; Sat, 24 Sep 2016 07:32:43 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:36912)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bnlCC-0002kW-LB; Sat, 24 Sep 2016 07:32:40 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1102
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bnlC9-0000i1-Ol; Sat, 24 Sep 2016 07:32:40 -0400
Date: Sat, 24 Sep 2016 14:32:44 +0300
Message-Id: <838tuhcz37.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andreas Nilsson <an@HIDDEN>
In-reply-to: <20160924110901.5482c558@HIDDEN> (message from Andreas
 Nilsson on Sat, 24 Sep 2016 11:09:01 +0200)
Subject: Re: bug#24523: Base64 images makes Emacs slow
References: <20160924073739.59fca4e0@HIDDEN>
 <83h995dbzu.fsf@HIDDEN> <20160924110901.5482c558@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-Debbugs-Envelope-To: control
Cc: 24523 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

merge 24523 13675
thanks

> Date: Sat, 24 Sep 2016 11:09:01 +0200
> From: Andreas Nilsson <an@HIDDEN>
> Cc: 24523 <at> debbugs.gnu.org
> 
> 1. emacs -Q
> 2. Visit https://www.base64-image.de/ and "click here" select an image
> (I selected a ~200kB one)
> 3. Click "show code" and copy paste the string you get into *scratch*.
> 4. Now try C-v and M-v as well as type some characters, this is the
> point where it lags.

This creates a single physical line whose length is 280K characters.
It is a known limitation of the Emacs display engine that it's very
slow with such long lines.  See bug #13675.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 14 Feb 2018 19:55:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 14 14:55:32 2018
Received: from localhost ([127.0.0.1]:43207 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1em39Q-00062x-5u
	for submit <at> debbugs.gnu.org; Wed, 14 Feb 2018 14:55:32 -0500
Received: from eggs.gnu.org ([208.118.235.92]:35991)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1em39O-00062k-4g
 for control <at> debbugs.gnu.org; Wed, 14 Feb 2018 14:55:30 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1em39I-0003xm-Af
 for control <at> debbugs.gnu.org; Wed, 14 Feb 2018 14:55:25 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:43655)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1em39I-0003xY-3u
 for control <at> debbugs.gnu.org; Wed, 14 Feb 2018 14:55:24 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>) id 1em39H-00059S-SU
 for control <at> debbugs.gnu.org; Wed, 14 Feb 2018 14:55:23 -0500
Subject: control message for bug 30457
To: <control <at> debbugs.gnu.org>
X-Mailer: mail (GNU Mailutils 2.99.98)
Message-Id: <E1em39H-00059S-SU@HIDDEN>
From: Glenn Morris <rgm@HIDDEN>
Date: Wed, 14 Feb 2018 14:55:23 -0500
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

merge 15555 30457




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 10 Mar 2020 14:40:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 10 10:40:19 2020
Received: from localhost ([127.0.0.1]:53052 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jBg3O-0007um-Ty
	for submit <at> debbugs.gnu.org; Tue, 10 Mar 2020 10:40:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57342)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1jBg3N-0007uW-CY; Tue, 10 Mar 2020 10:40:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36981)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jBg3I-0002Hs-2m; Tue, 10 Mar 2020 10:40:12 -0400
Received: from [176.228.60.248] (port=1144 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jBg3H-0006JF-DX; Tue, 10 Mar 2020 10:40:11 -0400
Date: Tue, 10 Mar 2020 16:40:12 +0200
Message-Id: <831rq0b7eb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jan Synacek <jsynacek@HIDDEN>
In-Reply-To: <m6fmu8oh76f.fsf@HIDDEN> (message from Jan
 Synacek on Tue, 10 Mar 2020 10:48:24 +0100)
Subject: Re: bug#40007: 28.0.50;
 Emacs gets very slow when displaying a long line
References: <m6fmu8oh76f.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: control
Cc: 40007 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

merge 40007 13675
thanks

> From: Jan Synacek <jsynacek@HIDDEN>
> Date: Tue, 10 Mar 2020 10:48:24 +0100
> 
> 
> 1) emacs -Q
> 2) M-x shell
> 3) execute a program that displays a single line, about ~193000
> characters long
> 
> I accidentaly wrote a scheme program that dumped an entire file as a
> single line, about 193k characters long, into the shell buffer. Emacs'
> reponse latency becomes *very* slow, especially when navigating the
> point over the long line.

This is bug#13675 (and others that were merged with it).

We now have so-long-mode to alleviate some of the problems.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 21 Aug 2020 17:06:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 21 13:06:02 2020
Received: from localhost ([127.0.0.1]:48187 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k9AUM-0004Jo-OQ
	for submit <at> debbugs.gnu.org; Fri, 21 Aug 2020 13:06:02 -0400
Received: from mail-yb1-f174.google.com ([209.85.219.174]:45008)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1k9AUK-0004In-CS
 for control <at> debbugs.gnu.org; Fri, 21 Aug 2020 13:06:00 -0400
Received: by mail-yb1-f174.google.com with SMTP id i10so1381911ybt.11
 for <control <at> debbugs.gnu.org>; Fri, 21 Aug 2020 10:06:00 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:mime-version:date:message-id:subject:to;
 bh=oO9Ukq+yL4ZHa0KQ3n/6AXU2R4rT5NZrp+6JqNA8vXs=;
 b=B00hZFAjjv4zhs0/bD9bxKdj1lVqPpRYMkLisYQ7tPCA2st+k4JOROGea4pw6tonnA
 z5DdFSEoXqRKbwiYYvb0YxRW4/DW2dF5SPeUTQccv5eE82KtrRMt+S7108n1wXbfArGB
 Duav4NgKnHc/o5bx8l4eMd2Lo0BnS7+TGDtt1CmKjXrbDdD0MULVpnFAcyRgqXzGHats
 HPmLE0/DvYYhmE0jFuFKL5paKjijmavFPvRp/Cm6ckGSbQVt0GAwRpMexsKigkkdLD5f
 DJxmzVtPeZP8Z2iwatMGOniG7oEqVO3P9vmVGi1B8P4mCIg3FrSoModeXXRqIw+d/4WZ
 cAnA==
X-Gm-Message-State: AOAM530X93b2aGdrifXMvwSDK0LVHD+ncNxmkTegsH6jc6k13eBxUUgP
 kOOGL8BY6nftBY+omOM1HUfDWOrVKoUpzF64ysd9AxvEhwvvsA==
X-Google-Smtp-Source: ABdhPJyDk5CYbpOPdrj7bSkIgXmyc2pJB2JjTXo25T+CIu9inVCfq78tsVKYcz61E2t2lbTEqiuM16cFPYs0F6tif1U=
X-Received: by 2002:a25:b290:: with SMTP id k16mr4822633ybj.389.1598029554876; 
 Fri, 21 Aug 2020 10:05:54 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 21 Aug 2020 10:05:54 -0700
From: Stefan Kangas <stefan@HIDDEN>
MIME-Version: 1.0
Date: Fri, 21 Aug 2020 10:05:54 -0700
Message-ID: <CADwFkmksV_K_mYcKXKtdTA0kCXQ9eLvrHw9fCiBTD1Wqu0-exA@HIDDEN>
Subject: 
To: control <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  merge 13675 32523 thanks 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (stefankangas[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.219.174 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.219.174 listed in wl.mailspike.net]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 2.0 BLANK_SUBJECT          Subject is present but empty
 0.0 UNPARSEABLE_RELAY      Informational: message has unparseable relay
 lines
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  merge 13675 32523 thanks 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.219.174 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.219.174 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (stefankangas[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
                             mail domains are different
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
                             EnvelopeFrom freemail headers are
                             different
  2.0 BLANK_SUBJECT          Subject is present but empty
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 UNPARSEABLE_RELAY      Informational: message has unparseable relay
                             lines

merge 13675 32523
thanks




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 21 Aug 2020 17:42:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 21 13:42:23 2020
Received: from localhost ([127.0.0.1]:48238 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k9B3X-0007VV-2l
	for submit <at> debbugs.gnu.org; Fri, 21 Aug 2020 13:42:23 -0400
Received: from mail-yb1-f178.google.com ([209.85.219.178]:35257)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1k9B3S-0007V9-Lg
 for control <at> debbugs.gnu.org; Fri, 21 Aug 2020 13:42:21 -0400
Received: by mail-yb1-f178.google.com with SMTP id y134so1460055yby.2
 for <control <at> debbugs.gnu.org>; Fri, 21 Aug 2020 10:42:18 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:mime-version:date:message-id:subject:to;
 bh=EWV69o2tJibW/qvbUF6dqOcHAYWps8Mkc9e4bv8rbhU=;
 b=YEkv0iJYDZN6/jvtVYM+J+9Buy6yaMMVfwpDA2uVayEEXsKmG5G2AHclYojzVAdWyi
 c5bLtHXM//llNE9Gd90wXhfJ4cXrQISpaEP5Dmp9CfXUwPPVm99Dbvylxb5I3IauF6NW
 d+06q/oRRvxfyKJvOkxjkDTU+KahbmbGGLTLXgGw+T1RL+8W68u16qai50C05UfwJ47o
 gGFkTUM7S3p/xeT3Tv+90nf7zzqMp8lNJphMaQJ59fDMikCxVelwwKKKbTbiFqvtkd+Y
 g28ksVg4znTVM7Sm5bvk2HFjxOMusIfjRqalwGwy8R7Bh8UH1gt8Hzc4e8JSRSFUPNSf
 tH+Q==
X-Gm-Message-State: AOAM532EKDD4THkT5g2xf++7vJ3rgfsWJRYCXq0rjqH7KsH/VZ4bKwLS
 S3mOHKcIar3cyUJfwGx7PZkobleXeCaY2Se+WxhOv4h/gnWEgQ==
X-Google-Smtp-Source: ABdhPJyhkJ+ZWtZcBFaHE1oBMiKOVWOQnTSGkJIWAH4N+fWv8b8N8GlbjMdcPi5Fg7F2qQj4/LPz1s7H71KL6bxtXLc=
X-Received: by 2002:a5b:410:: with SMTP id m16mr4981727ybp.309.1598031732879; 
 Fri, 21 Aug 2020 10:42:12 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 21 Aug 2020 10:42:11 -0700
From: Stefan Kangas <stefan@HIDDEN>
MIME-Version: 1.0
Date: Fri, 21 Aug 2020 10:42:11 -0700
Message-ID: <CADwFkmkkygLDpLJwD8ojdWJBXH3h6V55wp=U65f8t9qsNVEn-g@HIDDEN>
Subject: 
To: control <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  severity 22143 normal merge 13675 22143 thanks 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (stefankangas[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.219.178 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.219.178 listed in wl.mailspike.net]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 2.0 BLANK_SUBJECT          Subject is present but empty
 0.0 UNPARSEABLE_RELAY      Informational: message has unparseable relay
 lines
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  severity 22143 normal merge 13675 22143 thanks 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.219.178 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.219.178 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (stefankangas[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
                             mail domains are different
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
                             EnvelopeFrom freemail headers are
                             different
  2.0 BLANK_SUBJECT          Subject is present but empty
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 UNPARSEABLE_RELAY      Informational: message has unparseable relay
                             lines

severity 22143 normal
merge 13675 22143
thanks





Last modified: Fri, 21 Aug 2020 17:45:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.